package jp.gr.java_conf.abagames.comraid;

import jp.gr.java_conf.abagames.comraid.shapes.*;
import jp.gr.java_conf.abagames.util.gl4j.*;
import jp.gr.java_conf.abagames.util.*;
import gl4java.*;

/**
  Battery Left Sprite
  */
public class LeftBattery extends LayerdSprite implements IMove {
  static private IShape shape = new BatteryShape();

  public boolean existf;

  public LeftBattery(GLFunc gl, int n) {
    super(shape, gl);
    x = 11.5f-n; y = -11.5f; layer = 1;
    red = 0.2f; green = 0.9f; blue = 0.6f;
    xScl = yScl = 0.5f;
    existf = false;
  }

  final public void move() {}

  final public boolean exists() {
    return existf;
  }
}
