package jp.gr.java_conf.abagames.comraid.crafts;

import jp.gr.java_conf.abagames.comraid.*;
import jp.gr.java_conf.abagames.comraid.shapes.*;
import jp.gr.java_conf.abagames.util.gl4j.*;

public class LtrEn extends CraftGenerator {

  //      x, y,  layer,    deg, time
  //       ,  ,       , -mvdeg,
  // bkTime,  , -99999,       ,
  float[][] mdSeed = {
    {0, 0, 1.5f, 0, 0},
    {0, 0, 1.0f, 0, 60}, {0, 0, 1.0f, 0, 270},
    {0, 0, 0.5f, 0, 300},
  };
  public void makeManeuver(MnvData[] mnvData) {
    mdSeed[0][0] = mdSeed[1][0] = mdSeed[2][0] = mdSeed[3][0]
     = ed.args[0];
    setManueuverData(mnvData, mdSeed);
  }

  // type,    deg, speed, ofsX, ofsY, shape, engLine, time
  //   -1, bkTime,      ,     ,     ,      ,        ,
  float[][] bdSeed = {
  };
  public void makeBulletData(BltData[] bltData) {
    setBulletData(bltData, bdSeed);
  }

  // ofsX, ofsY, width, height
  float[][] cdSeed = {
    {0, 0, 0.8f, 0.8f}
  };
  public void makeCollisionData(ClsData[] clsData) {
    setCollisionData(clsData, cdSeed);
  }

  public void setCraftProperties(EngData ed) {
    ed.score = 100;
    if ( ed.shield == -1 ) ed.shield = 24;
  }
}
