package jp.gr.java_conf.abagames.comraid.shapes;

import jp.gr.java_conf.abagames.util.gl4j.*;
import gl4java.*;

public class Arrow implements IShape {
  final private float[][] vtxs = {
    {0,-1,0}, {0.5f,0.5f,0}, {-0.5f,0.5f,0}};

  public final void draw(GLFunc gl) {
    gl.glBegin(ShapeProperties.trMode);
    gl.glVertex3fv(vtxs[0]);
    gl.glVertex3fv(vtxs[1]);
    gl.glVertex3fv(vtxs[2]);
    gl.glEnd();
  }
}
