package jp.gr.java_conf.abagames.comraid.shapes;

import jp.gr.java_conf.abagames.util.gl4j.*;
import jp.gr.java_conf.abagames.comraid.*;
import gl4java.*;

public class LevelFrameShape implements IShape {
  final private float WIDTH = 0.25f;

  final private float[][] vtxs = {
    {-Comraid.frmWidth,  Comraid.frmHeight, 0},
    {-Comraid.frmWidth, -Comraid.frmHeight, 0},
    {-Comraid.frmWidth-WIDTH, -Comraid.frmHeight-WIDTH, 0},
    {-Comraid.frmWidth-WIDTH,  Comraid.frmHeight+WIDTH, 0},
    { Comraid.frmWidth+WIDTH,  Comraid.frmHeight+WIDTH, 0},
    { Comraid.frmWidth,  Comraid.frmHeight, 0},

    { Comraid.frmWidth, -Comraid.frmHeight, 0},
    { Comraid.frmWidth,  Comraid.frmHeight, 0},
    { Comraid.frmWidth+WIDTH,  Comraid.frmHeight+WIDTH, 0},
    { Comraid.frmWidth+WIDTH, -Comraid.frmHeight-WIDTH, 0},
    {-Comraid.frmWidth-WIDTH, -Comraid.frmHeight-WIDTH, 0},
    {-Comraid.frmWidth, -Comraid.frmHeight, 0}};

  public final void draw(GLFunc gl) {
    gl.glBegin(ShapeProperties.fnMode);
    gl.glVertex3fv(vtxs[0]);
    gl.glVertex3fv(vtxs[1]);
    gl.glVertex3fv(vtxs[2]);
    gl.glVertex3fv(vtxs[3]);
    gl.glVertex3fv(vtxs[4]);
    gl.glVertex3fv(vtxs[5]);
    gl.glEnd();
    gl.glBegin(ShapeProperties.fnMode);
    gl.glVertex3fv(vtxs[6]);
    gl.glVertex3fv(vtxs[7]);
    gl.glVertex3fv(vtxs[8]);
    gl.glVertex3fv(vtxs[9]);
    gl.glVertex3fv(vtxs[10]);
    gl.glVertex3fv(vtxs[11]);
    gl.glEnd();
  }
}