package jp.gr.java_conf.abagames.comraid.stages;

import jp.gr.java_conf.abagames.comraid.*;
import jp.gr.java_conf.abagames.comraid.crafts.*;

public class Stage6 extends StageData {

  public Stage6() {
    CraftGenerator[] cgs = {
      new LtW(), new LtA(), new LtR(), new LtN(), new LtI(), new LtG(),
      new BshM(), new BshP1(),
    };
    // type, arg1,arg2,arg3,arg4, lyrOfs, stBns, dcrScr, dattID, time
    float[][] es = {
      {0,  -9, 0, 0, 0,  0, 10000, 500, 1, 0},
      {1,  -6, 0, 0, 0,  0, 10000, 500, 1, 0},
      {2,  -3, 0, 0, 0,  0, 10000, 500, 1, 0},
      {3,   0, 0, 0, 0,  0, 10000, 10, 0, 0},
      {4,   3, 0, 0, 0,  0, 10000, 500, 2, 0},
      {3,   6, 0, 0, 0,  0, 10000, 500, 2, 0},
      {5,   9, 0, 0, 0,  0, 10000, 500, 2, 0},
    };
    addEngageData(es, cgs);
    // type, arg1,arg2,arg3,arg4, lyrOfs, stBns, dcrScr, dattID, time
    // bssID, delayApp
    // mvID,... , mdID,...
    float[][] bes = {
      {6,  0, 0, 0, 0,  0, 0, 0, 0, 0,
       1, 1,
       2,0,0,0,0,0,0,0, 0,0,0,0},
      {7,  0, 0, 0, 0,  0, 0, 0, 0, 0,
       2, 1,
       0,0,0,0,0,0,0,0, 0,0,0,0},
    };
    addBossEngageData(bes, cgs);
    endEngageData();
  }

  public int getBossEngTime() {
    return 0;
  }

  public int getStageEndTime() {
    return 4200;
  }

  public String getMessage() {
    return "LIVE IN PEACE OF MIND";
  }

  public String getBgmFileName() {
    return "pcm006.wav";
  }
}
