package jp.gr.java_conf.abagames.comraid;

import jp.gr.java_conf.abagames.comraid.shapes.*;
import jp.gr.java_conf.abagames.util.gl4j.*;
import jp.gr.java_conf.abagames.util.*;
import gl4java.*;

/**
  Layerd Frame
  */
public class LevelFrame extends LayerdSprite implements IMove {
  static private IShape shape = new LevelFrameShape();

  public LevelFrame(GLFunc gl, int layer) {
    super(shape, gl);
    red = 0.2f; green = 1.0f; blue = 0.2f;
    this.layer = layer;
  }

  public final void move() {
    layer -= 0.2f; if ( layer < 0 ) layer = 10f;
  }

  public final boolean exists() {
    return true;
  }
}
