package jp.gr.java_conf.abagames.comraid.shapes;

import jp.gr.java_conf.abagames.util.gl4j.*;
import gl4java.*;

public class ShotShape implements IShape {
  final private float[][] vtxs = {
    {-1.0f, -1.0f, 0}, {-0.8f, 1.0f, 0}, {-0.8f, -1.0f, 0},
    {1.0f, -1.0f, 0}, {0.8f, 1.0f, 0}, {0.8f, -1.0f, 0},
  };

  public final void draw(GLFunc gl) {
    gl.glBegin(ShapeProperties.trMode);
    gl.glVertex3fv(vtxs[0]);
    gl.glVertex3fv(vtxs[1]);
    gl.glVertex3fv(vtxs[2]);
    gl.glEnd();
    gl.glBegin(ShapeProperties.trMode);
    gl.glVertex3fv(vtxs[3]);
    gl.glVertex3fv(vtxs[4]);
    gl.glVertex3fv(vtxs[5]);
    gl.glEnd();
  }
}
