package jp.gr.java_conf.abagames.comraid.shapes;

import jp.gr.java_conf.abagames.util.gl4j.*;
import gl4java.*;

public class Square implements IShape {
  final private float[][] vtxs = {
    {0.4f,0.5f,0}, {-0.4f,0.5f,0}, {-0.4f,-0.5f,0}, {0.4f, -0.5f, 0}};

  public final void draw(GLFunc gl) {
    gl.glBegin(ShapeProperties.fnMode);
    gl.glVertex3fv(vtxs[0]);
    gl.glVertex3fv(vtxs[1]);
    gl.glVertex3fv(vtxs[2]);
    gl.glVertex3fv(vtxs[3]);
    gl.glEnd();
  }
}
